#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	geany
Version		:	1.38.0
Release		:	14.8.0.0%{?dist}
Summary		:	A fast and lightweight IDE using GTK
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/geany/geany

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	doxygen
BuildRequires	:	gtk3+
BuildRequires	:	python3-lxml

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
Requires(post)	:	%{_bindir}/update-desktop-database
#-----------------------------------------------------------------------------
%description
'%{name}' is a small and lightweight integrated development
environment. It was developed to provide a small and fast IDE,
which has only a few dependencies from other packages. Another
goal was to be as independent as possible from a special Desktop
Environment like KDE or GNOME. So it is using only the GTK+
toolkit and therefore you need only the GTK+ runtime libraries
to run Geany.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-html-docs				\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README THANKS TODO
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/gtkdoc/*.h
%{_includedir}/%{name}/scintilla/*.h
%{_includedir}/%{name}/scintilla/Scintilla.iface
%{_includedir}/%{name}/tagmanager/*.h
%{_bindir}/%{name}
%{_libdir}/%{name}/*.so
%{_libdir}/lib%{name}.so*
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/icons/hicolor/*/actions/%{name}*.png
%{_datadir}/icons/hicolor/*/apps/%{name}*.png
%{_datadir}/icons/hicolor/*/apps/classviewer-*.png
%{_datadir}/icons/hicolor/scalable/actions/%{name}-*.svg
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/Tango/*/actions/%{name}-*.png
%{_datadir}/icons/Tango/scalable/actions/%{name}-*.svg
%{_datadir}/%{name}/GPL-2
%{_datadir}/%{name}/colorschemes/alt.conf
%{_datadir}/%{name}/snippets.conf
%{_datadir}/%{name}/filetype_extensions.conf
%{_datadir}/%{name}/filedefs/filetypes.*
#{_datadir}/%{name}/%{name}*.gtkrc
%{_datadir}/%{name}/%{name}*.css
%{_datadir}/%{name}/%{name}*.glade
%{_datadir}/%{name}/tags/*.tags
%{_datadir}/%{name}/templates/bsd
%{_datadir}/%{name}/templates/changelog
%{_datadir}/%{name}/templates/fileheader
%{_datadir}/%{name}/templates/files/file.*
%{_datadir}/%{name}/templates/files/main.*
%{_datadir}/%{name}/templates/files/program.pas
%{_datadir}/%{name}/templates/files/module.erl
%{_datadir}/%{name}/templates/files/file_html5.html
%{_datadir}/%{name}/templates/function
%{_datadir}/%{name}/templates/gpl
%{_datadir}/%{name}/ui_toolbar.xml
%{_datadir}/applications/%{name}.desktop
%{_defaultdocdir}/%{name}-%{version}/ChangeLog
%{_defaultdocdir}/%{name}-%{version}/ScintillaLicense.txt
%{_defaultdocdir}/%{name}-%{version}/manual.txt
%{_mandir}/man1/%{name}.1.gz

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/update-desktop-database &> /dev/null
  %{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor 2> /dev/null
  fi
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig
%{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor 2> /dev/null
%{_bindir}/update-desktop-database &> /dev/null

#-----------------------------------------------------------------------------
%changelog

